Bug 249141 - new port graphics/blenderLTS28
Summary: new port graphics/blenderLTS28
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://www.blender.org/download/lts/
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-06 07:31 UTC by Shane
Modified: 2021-03-28 09:23 UTC (History)
2 users (show)

See Also:


Attachments
new port graphics/blenderLTS28 (179.90 KB, text/plain)
2020-09-06 07:31 UTC, Shane
no flags Details
new port graphics/blender-lts28 (179.98 KB, text/plain)
2021-03-23 06:34 UTC, Shane
no flags Details
new port graphics/blender-lts28 (180.03 KB, text/plain)
2021-03-28 09:23 UTC, Shane
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2020-09-06 07:31:30 UTC
Created attachment 217785 [details]
new port graphics/blenderLTS28

Create new port for graphics/blenderLTS28 starting at v2.83.5
This is the first long term support release from blender
Critical bug fixes will be received for the next two years.
Files have been renamed to allow concurrent install with normal blender port
Comment 1 Li-Wen Hsu freebsd_committer 2020-09-08 16:59:30 UTC
How about calling it graphics/blender-lts? (Set PKGNAMESUFFIX=-lts) And we can rename it to graphics/blender-lts28 when we want to add more lts versions.
Comment 2 Shane 2020-09-09 11:36:26 UTC
I went with the uppercase following how blender promotes it on their site. Among ports keeping it all lower case is more common. Not real fussed either way on case.

I would rather keep the version from the start rather than changing it next year, we know there will be two LTS versions by mid next year. Trailing versions is common in other multi-version ports, like python, llvm, gcc

Not sure about adding the "-", it is used to separate flavours in pkg names, for port names and version additions I see it would be more common to add the version without a separator.
Comment 3 Dmitry Marakasov freebsd_committer 2021-02-19 01:33:48 UTC
Let's please follow ports naming conventions and name it blender-lts to get this moving. Also it needs an update to 2.83.12.
Comment 4 Li-Wen Hsu freebsd_committer 2021-03-17 18:33:50 UTC
It's pity that we just had some questions about naming. I'm sorry that I dropped the ball here.

(In reply to Shane from comment #2)
So, PKGNAMESUFFIX is recommended here, in bsd.ports.mk, it is described as:

"""
Suffix to specify compilation options or a version designator (in case there are different versions of one port as is the case for Tcl).
"""

Yes, it is mostly used for versions only, but -lts and -devel are also common suffixes, for example, devel/jenkins-lts.

If there are more LTS versions released, as I mentioned in comment #1, it's also fine to include version string like graphics/blender-lts28.

Shane, please consider this proposal. Thanks.
Comment 5 Dmitry Marakasov freebsd_committer 2021-03-19 20:08:18 UTC
> It's pity that we just had some questions about naming.

It is not, upholding the consistency is a good thing. -lts28 suffix would be fine too. Still, if there's no feedback from submitter we can't go on here. Summarizing required changes:
- should be named blender-lts or blender-lts28 or blender28
- update to the latest minor version, if possible
- it needs to be submitted as a patch, as graphics/blender would be copied and then modified
- mutual conflicts are required between blender and lts port
Comment 6 Shane 2021-03-23 06:34:25 UTC
Created attachment 223515 [details]
new port graphics/blender-lts28

change LTS to lowercase
update for change to onetbb
openvdb removed from default options until updated for onetbb
Comment 7 Dmitry Marakasov freebsd_committer 2021-03-24 22:10:05 UTC
Does not build:

/wrkdirs/usr/ports/graphics/blender-lts28/work/blender-2.83.13/intern/cycles/graph/../util/util_xml.h:22:10: fatal error: 'pugixml.hpp' file not found
#include <pugixml.hpp>
         ^~~~~~~~~~~~~
1 error generated.

(previously failed on broken ispc dependency, fixed by disabling OPENIMAGEDN).
Comment 8 Shane 2021-03-26 04:53:13 UTC
The OPENIMAGEDN option shouldn't fail, graphics/oidn has been updated to use onetbb, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252688#c3 Do you have some other failure to build the oidn port?

The use of pugixml should only be based on the CYCLES option.

blender used to use pugixml as part of openimageio libs, that changed in recent oiio versions, for blender I added pugixml to LIB_DEPENDS, will use same for LTS.

CYCLES_LIB_DEPENDS=		libpugixml.so:textproc/pugixml

I'm now waiting for my poudriere builds to update to test that.
Comment 9 Shane 2021-03-28 09:23:51 UTC
Created attachment 223660 [details]
new port graphics/blender-lts28

Updating to include dependency on pugixml with cycles.

The OPENIMAGEDN option indirectly depends on devel/ispc which is currently broken. This happened when llvm-devel was updated to v13. Keeping this option on as default would rely on bug #254305